Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356559 - Undocumented cifs support for OUTPUT_URL
Summary: Undocumented cifs support for OUTPUT_URL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rear
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Pavel Cahyna
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 11:36 UTC by Frantisek Sumsal
Modified: 2018-08-16 12:54 UTC (History)
0 users

Fixed In Version: rear-2.00-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-14 19:37:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github rear rear issues 923 None None None 2018-07-14 19:37:50 UTC

Description Frantisek Sumsal 2016-07-14 11:36:23 UTC
OUTPUT_URL parameter for rescue image supports cifs protocol even though it's not explicitly documented in rear's man page. I managed to successfully backup an entire virtual machine via cifs (data + rescue image) with following settings and outcome:

Client:
[root@rearclient ~]# cat /etc/rear/local.conf 
OUTPUT=ISO
OUTPUT_URL=cifs://192.168.122.129/rear
OUTPUT_OPTIONS="cred=/etc/rear/.cifs"
BACKUP=NETFS
BACKUP_URL=cifs://192.168.122.129/rear
BACKUP_OPTIONS="cred=/etc/rear/.cifs"
[root@rearclient ~]# cat /etc/rear/.cifs 
username=root
password=root

Server:
[root@rearserver backups]# ll -h rearclient/
total 888M
-rw-------. 1 root root 4.3M Jul 14 13:21 backup.log
-rw-------. 1 root root 775M Jul 14 13:21 backup.tar.gz
-rw-------. 1 root root  202 Jul 14 13:18 README
-rw-------. 1 root root  32K Jul 14 13:18 rear.log
-rw-------. 1 root root 110M Jul 14 13:18 rear-rearclient.iso
-rw-------. 1 root root    0 Jul 14 13:21 selinux.autorelabel
-rw-------. 1 root root  282 Jul 14 13:18 VERSION

Comment 2 Pavel Cahyna 2018-07-14 19:37:50 UTC
Thank you for your report. This was addressed in ReaR 2.00, released with RHEL 7.4.


Note You need to log in before you can comment on or make changes to this bug.